package com.ar.artraceartpro.data.local.entity;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

import java.io.Serializable;

@Entity
public class ImageData implements Serializable {

    @PrimaryKey(autoGenerate = true)
    private int id;

    private final String imagePath;

    private final boolean imageType;

    private boolean isFavorite;

    public ImageData(boolean isFavorite, Boolean imageType, String imagePath) {
        this.isFavorite = isFavorite;
        this.imageType = imageType;
        this.imagePath = imagePath;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getImagePath() {
        return imagePath;
    }

    public boolean getImageType() {
        return imageType;
    }

    public boolean isFavorite() {
        return isFavorite;
    }

    public void setFavorite(boolean favorite) {
        this.isFavorite = favorite;
    }
}